<html><head>
    <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
    <title>imcreatese</title>
    <style type="text/css" media="all">
      @import url("scilab_code.css");
      @import url("xml_code.css");
      @import url("c_code.css");
      @import url("style.css");
    </style>
  </head>
  <body>
    <div class="manualnavbar">
    <table width="100%"><tr>
      <td width="30%">
    	<span class="previous"><a href="imclose.html">&lt;&lt; imclose</a></span>

      </td>
      <td width="40%" class="center">
      	<span class="top"><a href="section_03b5718a6323eea14c9b27ef3319ae25.html">Morphological Operations</a></span>

      </td>
      <td width="30%" class="next">
      	<span class="next"><a href="imdilate.html">imdilate &gt;&gt;</a></span>

      </td>
    </tr></table>
      <hr />
    </div>



    <span class="path"><a href="index.html">IPCV - Image Processing and Computer Vision Toolbox for Scilab</a> &gt;&gt; <a href="section_03b5718a6323eea14c9b27ef3319ae25.html">Morphological Operations</a> &gt; imcreatese</span>

    <br /><br />
    <div class="refnamediv"><h1 class="refname">imcreatese</h1>
    <p class="refpurpose">Creating Structure Element for Morphological operation</p></div>


<div class="refsynopsisdiv"><h3 class="title">Syntax</h3>
   <div class="synopsis"><pre><span class="default">se</span><span class="default"> = </span><span class="functionid">imcreatese</span><span class="default">(</span><span class="default">setype</span><span class="default">,</span><span class="default">r</span><span class="default">,</span><span class="default">c</span><span class="default">)</span></pre></div></div>

<div class="refsection"><h3 class="title">Parameters</h3>
   <dl><dt><span class="term">setype :</span>
      <dd><p class="para">Type of structure element, currently support &#0039;rect&#0039;, &#0039;ellipse&#0039; and &#0039;cross&#0039;</p></dd></dt>
   <dt><span class="term">r :</span>
      <dd><p class="para">Number of rows</p></dd></dt>
   <dt><span class="term">c :</span>
      <dd><p class="para">Number of colomns</p></dd></dt>
   <dt><span class="term">se :</span>
      <dd><p class="para">Created structure element</p></dd></dt></dl></div>

<div class="refsection"><h3 class="title">Description</h3>
   <p class="para">The function constructs and returns the structuring element that can be
further passed to any morphology filter. You can also construct an arbitrary
mask yourself and use it as the structuring element</p>
   <p class="para"></p></div>

<div class="refsection"><h3 class="title">Examples</h3>
   <div class="programlisting"><table border="0" width="100%"><tr><td width="98%"><pre class="scilabcode"><span class="scilabid">a</span> <span class="scilaboperator">=</span> <a class="scilabcommand" href="scilab://zeros">zeros</a><span class="scilabopenclose">(</span><span class="scilabnumber">10</span><span class="scilabdefault">,</span><span class="scilabnumber">10</span><span class="scilabopenclose">)</span><span class="scilabdefault">;</span>
<span class="scilabid">a</span><span class="scilabopenclose">(</span><span class="scilabnumber">4</span><span class="scilabspecial">:</span><span class="scilabnumber">7</span><span class="scilabdefault">,</span><span class="scilabnumber">4</span><span class="scilabspecial">:</span><span class="scilabnumber">7</span><span class="scilabopenclose">)</span> <span class="scilaboperator">=</span> <span class="scilabnumber">1</span><span class="scilabdefault">;</span>
<span class="scilabid">se</span> <span class="scilaboperator">=</span> <span class="scilabid">imcreatese</span><span class="scilabopenclose">(</span><span class="scilabstring">&#0039;</span><span class="scilabstring">rect</span><span class="scilabstring">&#0039;</span><span class="scilabdefault">,</span><span class="scilabnumber">3</span><span class="scilabdefault">,</span><span class="scilabnumber">3</span><span class="scilabopenclose">)</span><span class="scilabdefault">;</span>
<span class="scilabid">b</span> <span class="scilaboperator">=</span> <span class="scilabid">imdilate</span><span class="scilabopenclose">(</span><span class="scilabid">a</span><span class="scilabdefault">,</span><span class="scilabid">se</span><span class="scilabopenclose">)</span><span class="scilabdefault">;</span>
<a class="scilabcommand" href="scilab://disp">disp</a><span class="scilabopenclose">(</span><span class="scilabid">b</span><span class="scilabopenclose">)</span><span class="scilabdefault">;</span></pre></td><td valign="top"><a href="scilab://scilab.execexample/"><img src="ScilabExecute.png" border="0"/></a></td><td valign="top"><a href="scilab://scilab.editexample/"><img src="ScilabEdit.png" border="0"/></a></td><td></td></tr></table></div></div>

<div class="refsection"><h3 class="title">See also</h3>
   <ul class="itemizedlist"><li class="member"><a href="imcreatese.html" class="link">imcreatese</a></li>
   <li class="member"><a href="imdilate.html" class="link">imdilate</a></li>
   <li class="member"><a href="imerode.html" class="link">imerode</a></li>
   <li class="member"><a href="imopen.html" class="link">imopen</a></li>
   <li class="member"><a href="imclose.html" class="link">imclose</a></li>
   <li class="member"><a href="imgradient.html" class="link">imgradient</a></li>
   <li class="member"><a href="imtophat.html" class="link">imtophat</a></li>
   <li class="member"><a href="imblackhat.html" class="link">imblackhat</a></li></ul></div>

<div class="refsection"><h3 class="title">Authors</h3>
   <ul class="itemizedlist"><li class="member">Tan Chin Luh</li></ul></div>
    <br />

    <div class="manualnavbar">
    <table width="100%">
    <tr><td colspan="3" class="next"><a href="http://bugzilla.scilab.org/enter_bug.cgi?product=Scilab%20software&component=Documentation%20pages" class="ulink">Report an issue</a></td></tr>
<tr>
      <td width="30%">
    	<span class="previous"><a href="imclose.html">&lt;&lt; imclose</a></span>

      </td>
      <td width="40%" class="center">
      	<span class="top"><a href="section_03b5718a6323eea14c9b27ef3319ae25.html">Morphological Operations</a></span>

      </td>
      <td width="30%" class="next">
      	<span class="next"><a href="imdilate.html">imdilate &gt;&gt;</a></span>

      </td>
    </tr></table>
      <hr />
    </div>
  </body>
</html>
